FlxpointAPI Help CenterBeta

Get Product Builder Issues

gethttps://api.flxpoint.com/product/builder/issues

Use this when you want to pull product builder data through the API.

๐Ÿ”‘ X-API-TOKENโฑ 2 req/sToken: Account ยท Source ยท Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Get builder issues that require human intervention (mostly based on buidler settings).

This endpoint returns an array of issues for any given `inventoryVariantId` or `productVariantId` as a single inventory variant can match against a potentially unlimited number of product variants that match/share a common identifier (ie UPC) and therefore there can be more than 1 issue for any given inventory/product variant.

It may also contain results where there is no match to an existing product but there is human intervention required IE when the product is archived or when the SKU is already in use by an existing product.

Request

Query parameters
  • inventoryVariantIdqueryinteger (int64)

    Get issues that a specific inventory variant is associated with

  • productVariantIdqueryinteger

    Get issues that a specific product variant is associated with

Example request

get/product/builder/issues
curl -X GET "https://api.flxpoint.com/product/builder/issues" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[ProductBuilderIssue]
idinteger (int64)required
inventoryVariantIdinteger (int64)required
accountIdinteger
insertedAtstring (date-time)
mappingTemplateIdinteger
productBuilderIdinteger
matchedProductVariantIdinteger
The product variant ID that this inventory variant matched with on the basis of a shared GTIN that it will be added as an additional inventory link to.
typestring
allowedmismatchduplicate_sourcesarchivedparent_creationparent_attachmentduplicate_skupending_buildinvalid_upc
statusstring
allowedkeepneeds_reviewdiscard
matchTypestring
The ID type that this inventory variant matched against an existing product variant with.
allowedupcmpneanasinreference_identifiermaster_skuinventory_sku
matchValuestring
The ID value that this inventory variant matched against an existing product variant with.
productMatchTypestring
The ID type that was used to match to an existing product variant from an inventory variant. NOTE : This value will be empty for matches made using the legacy matching style.
allowedupcmpneanasinreference_identifiermaster_sku
triggeredLinkRulesarray[ProductBuilderTriggeredLinkRule]
The product builder link rules that failed when run against this inventory variant and the existing linked ones.
productBuilderLinkRuleobjectrequired
idinteger
value1string
value2string
value3string
value4string
value5string
value6string
outcomeobjectrequired
idinteger
handlestringrequired
allowedfailreview
namestring
typeobjectrequired
idinteger
handlestringrequired
allowedcost_basiccost_rangebrands_not_equaltitle_containsmpn_not_upc
namestring
inventoryVariantIdsarray[integer (int64)]required
integer (int64)
mismatchActionKeepboolean
When the issue is of the type `MISMATCH` setting this to true will allow the next build attempt for the inventory variant to occur. Setting this to false will delete the issue.
duplicateSourceActionKeepboolean
When the issue is of the type `DUPLICATE_SOURCE` setting this to true will allow the next build attempt for the inventory variant to occur and will remove the existing inventory link from the same source. Setting this to false will delete the issue.
duplicateSourceInventoryVariantIdinteger (int64)
The inventory variant ID that is from the same source
archivedActionKeepboolean
When the issue is of the type `ARCHIVE` setting this to true will allow the next build attempt for the inventory variant to occur. Setting this to false will delete the issue.
parentCreationActionKeepboolean
When the issue is of the type `PARENT_CREATION` setting this to true will allow the next build attempt for the inventory parent & variant to occur. Setting this to false will delete the issue.
parentAttachmentActionKeepboolean
When the issue is of the type `PARENT_ATTACHMENT` setting this to true will allow the next build attempt for the inventory variant to occurr. Setting this to false will delete the issue.
duplicateSkuProductVariantIdinteger
duplicateUseSkustring
When the issue is of the type `DUPLICATE_SKU` setting this will cause the next build attempt of the inventory variant to be built with the SKU specified in this property.
generatedVariantSkustring
The variant SKU that was generated by running the inventory variant and all of the other linked inventory variants through the mapping tempmlate.
generatedParentSkustring
The parent SKU that was generated by running the inventory variant and all of the other linked inventory variants through the mapping tempmlate.
parentAttachmentProductParentIdinteger
The ID of the product parent that this inventory variant is pending being attached to.
hasListingsToBuildboolean
default false
internalBuildErrorMessagestring
Internal build error message in case product fails to build with any readable message
internalBuildErrorOnstring (date-time)
If non-null this is a timestamp indicating that the last build of this issue failed
batchIdstring (uuid)
Example response
[
  {
    "id": 0,
    "inventoryVariantId": 0,
    "accountId": 0,
    "insertedAt": "2026-04-20T00:00:00Z",
    "mappingTemplateId": 0,
    "productBuilderId": 0,
    "matchedProductVariantId": 0,
    "type": "mismatch",
    "status": "keep",
    "matchType": "upc",
    "matchValue": "string",
    "productMatchType": "upc",
    "triggeredLinkRules": [
      {
        "productBuilderLinkRule": {
          "id": null,
          "value1": null,
          "value2": null,
          "value3": null,
          "value4": null,
          "value5": null,
          "value6": null,
          "outcome": null,
          "type": null
        },
        "inventoryVariantIds": [
          null
        ]
      }
    ],
    "mismatchActionKeep": true,
    "duplicateSourceActionKeep": true,
    "duplicateSourceInventoryVariantId": 0,
    "archivedActionKeep": true,
    "parentCreationActionKeep": true,
    "parentAttachmentActionKeep": true,
    "duplicateSkuProductVariantId": 0,
    "duplicateUseSku": "string",
    "generatedVariantSku": "string",
    "generatedParentSku": "string",
    "parentAttachmentProductParentId": 0,
    "hasListingsToBuild": true,
    "internalBuildErrorMessage": "string",
    "internalBuildErrorOn": "2026-04-20T00:00:00Z",
    "batchId": "string"
  }
]
400If neither `inventoryVariantId` or `productVariantId` is passed in the GET params.

No schema documented for this status.

401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Product Builder Issues",
    "description": "Get builder issues that require human intervention (mostly based on buidler settings). \n\nThis endpoint returns an array of issues for any given `inventoryVariantId` or `productVariantId` as a single inventory variant can match against a potentially unlimited number of product variants that match/share a common identifier (ie UPC) and therefore there can be more than 1 issue for any given inventory/product variant.\n\nIt may also contain results where there is no match to an existing product but there is human intervention required IE when the product is archived or when the SKU is already in use by an existing product.",
    "parameters": [
      {
        "schema": {
          "type": "integer",
          "format": "int64"
        },
        "in": "query",
        "name": "inventoryVariantId",
        "description": "Get issues that a specific inventory variant is associated with"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "productVariantId",
        "description": "Get issues that a specific product variant is associated with"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/ProductBuilderIssue"
              }
            }
          }
        }
      },
      "400": {
        "description": "If neither `inventoryVariantId` or `productVariantId` is passed in the GET params."
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight